Bug 4940 - Koha should include sample rc.d script(s) for *BSD
Summary: Koha should include sample rc.d script(s) for *BSD
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: unspecified
Hardware: All Other
: P5 - low enhancement (vote)
Assignee: Jared Camins
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-05 16:33 UTC by Jared Camins
Modified: 2012-10-26 00:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Sample rc.d script for running zebra under *BSD (1.79 KB, patch)
2010-07-05 18:20 UTC, Jared Camins
Details | Diff | Splinter Review
Sample rc.d script for *BSD (1.75 KB, patch)
2010-07-05 19:32 UTC, Jared Camins
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins 2010-07-05 16:33:31 UTC
Koha includes a sample script for a SysV-style init.d script for starting the zebra daemon, but there is no script suitable for BSD-style distributions that use rc.d instead of init.d. Such a script would be helpful for anyone interested in running Koha under FreeBSD or NetBSD.
Comment 1 Jared Camins 2010-07-05 18:20:08 UTC
Created attachment 2309 [details] [review]
Sample rc.d script for running zebra under *BSD
Comment 2 Jared Camins 2010-07-05 19:32:15 UTC
Created attachment 2310 [details] [review]
Sample rc.d script for *BSD

The last patch had an error. This one corrects the problem.
Comment 3 Jared Camins-Esakov 2012-01-07 17:07:49 UTC
Marking as WONTFIX since I no longer use FreeBSD for my servers, and no one else has picked this up.